aboutsummaryrefslogtreecommitdiff
path: root/applets
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-06-07 17:24:29 +0000
committerMike Frysinger <vapier@gentoo.org>2006-06-07 17:24:29 +0000
commit55b12105b5f8953f0988097fd7e925476df1ac8a (patch)
treed68946eb3d5d37cb82758146cd00778c7c5edba0 /applets
parentbc6584977abe96230da7e84302f7b6d5a4d2a495 (diff)
downloadbusybox-55b12105b5f8953f0988097fd7e925476df1ac8a.tar.gz
dont mix tabs and spaces, kthx
Diffstat (limited to 'applets')
-rwxr-xr-xapplets/install.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/applets/install.sh b/applets/install.sh
index e154996e3..9b00c63d1 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -5,15 +5,15 @@ export LC_CTYPE=POSIX
prefix=${1}
if [ -z "$prefix" ]; then
- echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks]"
- exit 1;
+ echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks]"
+ exit 1;
fi
h=`sort busybox.links | uniq`
case "$2" in
- --hardlinks) linkopts="-f";;
- --symlinks) linkopts="-fs";;
- "") h="";;
- *) echo "Unknown install option: $2"; exit 1;;
+ --hardlinks) linkopts="-f";;
+ --symlinks) linkopts="-fs";;
+ "") h="";;
+ *) echo "Unknown install option: $2"; exit 1;;
esac
if [ "$DO_INSTALL_LIBS" != "n" ]; then
@@ -42,26 +42,26 @@ for i in $h ; do
appdir=`dirname $i`
mkdir -p $prefix/$appdir || exit 1
if [ "$2" = "--hardlinks" ]; then
- bb_path="$prefix/bin/busybox"
+ bb_path="$prefix/bin/busybox"
else
- case "$appdir" in
+ case "$appdir" in
/)
- bb_path="bin/busybox"
+ bb_path="bin/busybox"
;;
/bin)
- bb_path="busybox"
+ bb_path="busybox"
;;
/sbin)
- bb_path="../bin/busybox"
+ bb_path="../bin/busybox"
;;
/usr/bin|/usr/sbin)
- bb_path="../../bin/busybox"
+ bb_path="../../bin/busybox"
;;
*)
echo "Unknown installation directory: $appdir"
exit 1
;;
- esac
+ esac
fi
echo " $prefix$i -> $bb_path"
ln $linkopts $bb_path $prefix$i || exit 1